## ros-rolling-controller-interface 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(controller_interface)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)

add_library(controller_interface SHARED src/controller_interface.cpp)
target_include_directories(
  controller_interface
  PRIVATE
  include)
ament_target_dependencies(
  controller_interface
  hardware_interface
  rclcpp_lifecycle
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(controller_interface PRIVATE "CONTROLLER_INTERFACE_BUILDING_DLL")

install(DIRECTORY include/
  DESTINATION include
)
install(TARGETS controller_interface
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  find_package(hardware_interface REQUIRED)
  find_package(sensor_msgs REQUIRED)

  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_uncrustify
    ament_cmake_cpplint
  )
  ament_lint_auto_find_test_dependencies()

  ament_add_gmock(test_controller_with_options test/test_controller_with_options.cpp)
  target_link_libraries(test_controller_with_options controller_interface)
  target_include_directories(test_controller_with_options PRIVATE include)

  ament_add_gmock(
    test_semantic_component_interface
    test/test_semantic_component_interface.cpp
  )
  target_include_directories(test_semantic_component_interface PRIVATE include)
  ament_target_dependencies(
    test_semantic_component_interface
    hardware_interface
  )

  ament_add_gmock(
    test_force_torque_sensor
    test/test_force_torque_sensor.cpp
  )
  target_include_directories(test_force_torque_sensor PRIVATE include)
  ament_target_dependencies(
    test_force_torque_sensor
    hardware_interface
  )

  ament_add_gmock(
    test_imu_sensor
    test/test_imu_sensor.cpp
  )
  target_include_directories(test_imu_sensor PRIVATE include)
  ament_target_dependencies(
    test_imu_sensor
    hardware_interface
    sensor_msgs
  )
endif()

ament_export_dependencies(
  hardware_interface
  rclcpp_lifecycle
  sensor_msgs
)
ament_export_include_directories(
  include
)
ament_export_libraries(
  controller_interface
)
ament_package()

=== debian/changelog ===
ros-rolling-controller-interface (2.1.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-rolling-controller-interface (2.0.0-1focal) focal; urgency=high

  * fix get_update_rate visibility in windows (#586 <https://github.com/ros-controls/ros2_control/issues/586>)
  * Use lifecycle name constants from hardware interface in controller interface (#575 <https://github.com/ros-controls/ros2_control/issues/575>)
    * Use lifecycle name constants from hardware interface in controller interface
    * Remove controller_state_names.hpp since it is not needed.
  * Contributors: Melvin Wang, Xi-Huang

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-rolling-controller-interface (1.2.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-rolling-controller-interface (1.1.0-1focal) focal; urgency=high

  * Quick fix 🏎: make doc on helpers clearer (#553 <https://github.com/ros-controls/ros2_control/issues/553>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-rolling-controller-interface (1.0.0-1focal) focal; urgency=high

  * Per controller update rate (#513 <https://github.com/ros-controls/ros2_control/issues/513>)
    * add update_rate member field to controller manager
  * added dt to controller interface and controller manager #438 <https://github.com/ros-controls/ros2_control/issues/438> (#520 <https://github.com/ros-controls/ros2_control/issues/520>)
  * Methods controlling the lifecycle of controllers all have on_ prefix
  * Do not manually set C++ version to 14 (#516 <https://github.com/ros-controls/ros2_control/issues/516>)
  * rename get_current_state() to get_state() (#512 <https://github.com/ros-controls/ros2_control/issues/512>)
  * Contributors: Bence Magyar, Denis Štogl, Dmitri Ignakov, Márk Szitanics, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-rolling-controller-interface (0.8.0-1focal) focal; urgency=high

  * Automatic parameter declaration - enable existence of undeclared parameters from overrides (#504 <https://github.com/ros-controls/ros2_control/issues/504>)
  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Make controller_manager set controller's use_sim_time param when use_sim_time=True (#468 <https://github.com/ros-controls/ros2_control/issues/468>)
  * Correct obviously wrong call in controller interface. (#460 <https://github.com/ros-controls/ros2_control/issues/460>)
  * virtual destructors for semantic components (#455 <https://github.com/ros-controls/ros2_control/issues/455>)
  * Contributors: Denis Štogl, Karsten Knese, Lovro Ivanov, Simon Honigmann

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Aug 2021 23:00:00 -0000

ros-rolling-controller-interface (0.7.1-1focal) focal; urgency=high

  * Remove forgoten debug output (#439 <https://github.com/ros-controls/ros2_control/issues/439>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Jun 2021 23:00:00 -0000

ros-rolling-controller-interface (0.7.0-1focal) focal; urgency=high

  * Add imu_sensor semantic component (#429 <https://github.com/ros-controls/ros2_control/issues/429>)
  * Fix osx warnings (#428 <https://github.com/ros-controls/ros2_control/issues/428>)
  * Add FTS as first semantic components to simplify controllers. (#370 <https://github.com/ros-controls/ros2_control/issues/370>)
  * Contributors: bailaC, Denis Štogl, Jordan Palacios, Karsten Knese, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Jun 2021 23:00:00 -0000

ros-rolling-controller-interface (0.6.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 May 2021 23:00:00 -0000

ros-rolling-controller-interface (0.6.0-1focal) focal; urgency=high

  * Added labels for controller states. (#414 <https://github.com/ros-controls/ros2_control/issues/414>)
  * prevent variable-sized object initialization (#411 <https://github.com/ros-controls/ros2_control/issues/411>)
  * Contributors: Denis Štogl, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-rolling-controller-interface (0.5.0-1focal) focal; urgency=high

  * Add NodeOptions parameter to init function of controller_interface (#382 <https://github.com/ros-controls/ros2_control/issues/382>)
  * guard around pragmas (#397 <https://github.com/ros-controls/ros2_control/issues/397>)
  * avoid deprecations (#393 <https://github.com/ros-controls/ros2_control/issues/393>)
  * Contributors: Auguste Bourgois, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 May 2021 23:00:00 -0000

ros-rolling-controller-interface (0.4.0-1focal) focal; urgency=high

  * Replace controller_interface return type SUCCESS by OK and mark SUCCESS as deprecated (#374 <https://github.com/ros-controls/ros2_control/issues/374>)
  * Contributors: Mateus Amarante

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Apr 2021 23:00:00 -0000

ros-rolling-controller-interface (0.3.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 21 Mar 2021 00:00:00 -0000

ros-rolling-controller-interface (0.2.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Mar 2021 00:00:00 -0000

ros-rolling-controller-interface (0.2.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 26 Feb 2021 00:00:00 -0000

ros-rolling-controller-interface (0.1.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 05 Feb 2021 00:00:00 -0000



=== debian/control ===
Source: ros-rolling-controller-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-hardware-interface, ros-rolling-rclcpp-lifecycle, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-controller-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-hardware-interface, ros-rolling-rclcpp-lifecycle, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: Description of controller_interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-controller-interface//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-controller-interface 3.18.0

=== debian/changelog ===
ros-rolling-controller-interface (3.18.0-1jammy) jammy; urgency=high

  * add a broadcaster for range sensor (#1091 <https://github.com/ros-controls/ros2_control/issues/1091>)
  * Contributors: flochre

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 23:00:00 -0000

ros-rolling-controller-interface (3.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-rolling-controller-interface (3.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-rolling-controller-interface (3.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-rolling-controller-interface (3.14.0-1jammy) jammy; urgency=high

  * Add -Wconversion flag to protect future developments (#1053 <https://github.com/ros-controls/ros2_control/issues/1053>)
  * enable ReflowComments to also use ColumnLimit on comments (#1037 <https://github.com/ros-controls/ros2_control/issues/1037>)
  * Contributors: Sai Kishor Kothakota, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-rolling-controller-interface (3.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 17 May 2023 23:00:00 -0000

ros-rolling-controller-interface (3.12.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-rolling-controller-interface (3.12.1-1jammy) jammy; urgency=high

  * Add missing build_export_depends to controller_interface (#989 <https://github.com/ros-controls/ros2_control/issues/989>)
  * Contributors: Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-rolling-controller-interface (3.12.0-1jammy) jammy; urgency=high

  * [Controller Interface] Add time and period paramters to update_reference_from_subscribers() (#846 <https://github.com/ros-controls/ros2_control/issues/846>) #API-break
  * Contributors: Robotgir, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-rolling-controller-interface (3.11.0-1jammy) jammy; urgency=high

  * [ControllerManager] Add Class for Async Controllers and Lifecycle Management (#932 <https://github.com/ros-controls/ros2_control/issues/932>)
  * Contributors: Márk Szitanics

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Mar 2023 00:00:00 -0000

ros-rolling-controller-interface (3.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Mar 2023 00:00:00 -0000

ros-rolling-controller-interface (3.9.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-rolling-controller-interface (3.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-rolling-controller-interface (3.8.0-1jammy) jammy; urgency=high

  * Fix CMake install so overriding works (#926 <https://github.com/ros-controls/ros2_control/issues/926>)
  * Async params (#927 <https://github.com/ros-controls/ros2_control/issues/927>)
  * Contributors: Márk Szitanics, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-rolling-controller-interface (3.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-rolling-controller-interface (3.6.0-1jammy) jammy; urgency=high

  * Update imu_sensor.hpp (#893 <https://github.com/ros-controls/ros2_control/issues/893>)
    Covariances values should come from the IMU_Broadcaster, like the frame_id or the time
  * Contributors: flochre

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-rolling-controller-interface (3.5.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-rolling-controller-interface (3.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-rolling-controller-interface (3.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-rolling-controller-interface (3.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-controller-interface (3.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 14 Oct 2022 23:00:00 -0000

ros-rolling-controller-interface (3.1.0-1jammy) jammy; urgency=high

  * Add docs in export interface configurations for controllers. (#804 <https://github.com/ros-controls/ros2_control/issues/804>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-rolling-controller-interface (3.0.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-rolling-controller-interface (2.15.0-1jammy) jammy; urgency=high

  * Remove autodeclare of parameters for controllers. (#757 <https://github.com/ros-controls/ros2_control/issues/757>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-rolling-controller-interface (2.14.0-1jammy) jammy; urgency=high

  * Add doxygen comments (#777 <https://github.com/ros-controls/ros2_control/issues/777>)
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Sep 2022 23:00:00 -0000

ros-rolling-controller-interface (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-rolling-controller-interface (2.12.1-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-rolling-controller-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-hardware-interface, ros-rolling-rclcpp-lifecycle, ros-rolling-sensor-msgs, ros-rolling-sensor-msgs <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-controller-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-hardware-interface, ros-rolling-rclcpp-lifecycle, ros-rolling-ros-workspace
Description: Description of controller_interface

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
